惯性聚合 高效追踪和阅读你感兴趣的博客、新闻、科技资讯
阅读原文 在惯性聚合中打开

推荐订阅源

Vercel News
Vercel News
Y
Y Combinator Blog
H
Hackread – Cybersecurity News, Data Breaches, AI and More
The GitHub Blog
The GitHub Blog
N
Netflix TechBlog - Medium
MyScale Blog
MyScale Blog
F
Fortinet All Blogs
Microsoft Azure Blog
Microsoft Azure Blog
H
Help Net Security
C
Check Point Blog
博客园 - 聂微东
云风的 BLOG
云风的 BLOG
M
MIT News - Artificial intelligence
U
Unit 42
WordPress大学
WordPress大学
B
Blog
Last Week in AI
Last Week in AI
人人都是产品经理
人人都是产品经理
T
Tailwind CSS Blog
D
DataBreaches.Net
G
Google Developers Blog
T
The Blog of Author Tim Ferriss
Hugging Face - Blog
Hugging Face - Blog
IT之家
IT之家

AUR Newest Packages

AUR (en) - linuxqq-clipsync-git AUR (en) - libtslitex-git AUR (en) - libtslitex-git AUR (en) - carton-appimage AUR (en) - veila-git AUR (en) - veila-bin AUR (en) - vigil-baseline AUR (en) - byedroid AUR (en) - neovim-base16-git AUR (en) - pirata AUR (en) - rpi-imager-git-non-root AUR (en) - python-fastapi-sso AUR (en) - tmux-ai-titles AUR (en) - zeed-bin AUR (en) - bclone-bin AUR (en) - dwl-git-azerty AUR (en) - auggie-bin AUR (en) - libspatialaudio-git AUR (en) - libspatialaudio AUR (en) - miniupnpd-iptables-legacy AUR (en) - miniupnpd-nft AUR (en) - jeeves-bin AUR (en) - opennow AUR (en) - rotki AUR (en) - kapi-bin AUR (en) - classfi-bin AUR (en) - classfi-git AUR (en) - classfi AUR (en) - giff-git AUR (en) - budget-tracker-bin
AUR (en) - trezor-suite-bin
2026-05-31 · via AUR Newest Packages

Pinned Comments

zxp19821005 commented on 2025-04-02 03:54 (UTC)

Please DON'T mark it as expired at will! This package is packaged from a file that has already been compiled upstream. Although the upstream has updated the version number, the packaged file has not been released yet!

Latest Comments

zxp19821005 commented on 2026-03-09 09:55 (UTC)

@voidzero Maybe you should do a system update first.

voidzero commented on 2026-03-09 09:39 (UTC)

==> Starting prepare()...
The electron version is: 39
CANNOT RUN WITH NODE 20.20.1
asar requires Node >=22.12.0.
==> ERROR: A failure occurred in prepare().
    Aborting...

We can force a node version in the following way:

diff --git a/PKGBUILD b/PKGBUILD
index 27c8716..2f3a623 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -35,7 +35,25 @@ _get_electron_version() {
     _elec_ver="$(strings "${srcdir}/squashfs-root/${pkgname%-bin}" | grep '^Chrome/[0-9.]* Electron/[0-9]' | cut -d'/' -f3 | cut -d'.' -f1)"
     echo -e "The electron version is: \033[1;31m${_elec_ver}\033[0m"
 }
+
+# From https://wiki.archlinux.org/title/Node.js_package_guidelines
+_ensure_local_nvm() {
+    # let's be sure we are starting clean
+    which nvm >/dev/null 2>&1 && nvm deactivate && nvm unload
+    export NVM_DIR="${srcdir}/.nvm"
+
+    # The init script returns 3 if version specified
+    # in ./.nvrc is not (yet) installed in $NVM_DIR
+    # but nvm itself still gets loaded ok
+    source /usr/share/nvm/init-nvm.sh || [[ $? != 1 ]]
+}
+
+
+
 prepare() {
+    _ensure_local_nvm
+    nvm install 22
+    nvm use 22
     sed -i -e "
         s/@electronversion@/${_electronversion}/g
         s/@appname@/${pkgname%-bin}/g

Thank you.

zxp19821005 commented on 2025-10-17 01:22 (UTC)

@thes1lv3r Thanks for your feedback, added it.

thes1lv3r commented on 2025-10-16 13:54 (UTC)

Needs to add asar as a build dependency, currently getting build errors:

==> Starting prepare()...
The electron version is: 38
/home/s1lv3r/.cache/paru/clone/trezor-suite-bin/PKGBUILD: line 52: asar: command not found
==> ERROR: A failure occurred in prepare().
    Aborting...
error: failed to build 'trezor-suite-bin-25.10.1-1':

zxp19821005 commented on 2025-08-01 04:07 (UTC)

@xanc Thanks for your feedback, added it.

xanc commented on 2025-07-08 15:16 (UTC)

zxp19821005 commented on 2025-04-02 03:54 (UTC)

Please DON'T mark it as expired at will! This package is packaged from a file that has already been compiled upstream. Although the upstream has updated the version number, the packaged file has not been released yet!